Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.compress.archivers.ar
Class ArArchiveInputStream

    java.lang.Object
      java.io.InputStream
          org.apache.commons.compress.archivers.ArchiveInputStream
              org.apache.commons.compress.archivers.ar.ArArchiveInputStream

All Implemented Interfaces:
  Closeable

    public class ArArchiveInputStream

extends ArchiveInputStream

Implements the "ar" archive format as an input stream.

This class is not thread-safe

Constructor Summary
`ArArchiveInputStream(InputStream pInput)` Constructs an Ar input stream with the referenced stream

Method Summary
`void` | `close()`
`ArArchiveEntry` | `getNextArEntry()` Returns the next AR entry in this stream.
`ArchiveEntry` | `getNextEntry()` Returns the next Archive Entry in this Stream.
`static boolean` | `matches(byte[] signature, int length)` Checks if the signature matches ASCII "!
`int` | `read(byte[] b, int off, int len)`

Methods inherited from class org.apache.commons.compress.archivers.ArchiveInputStream
`canReadEntryData, count, count, getBytesRead, getCount, pushedBackBytes, read`

Methods inherited from class java.io.InputStream
`available, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArArchiveInputStream

    public ArArchiveInputStream(InputStream pInput)

  Constructs an Ar input stream with the referenced stream

  Parameters:
    `pInput` - the ar input stream

Method Detail

### getNextArEntry

    public ArArchiveEntry getNextArEntry()
                                  throws IOException

  Returns the next AR entry in this stream.

  Returns:
    the next AR entry.
  Throws:
    `IOException` - if the entry could not be read

### getNextEntry

    public ArchiveEntry getNextEntry()
                              throws IOException

  Description copied from class: `ArchiveInputStream`
  Returns the next Archive Entry in this Stream.

  Specified by:
    `getNextEntry` in class `ArchiveInputStream`
  Returns:
    the next entry, or `null` if there are no more entries
  Throws:
    `IOException` - if the next entry could not be read

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `InputStream`
  Throws:
    `IOException`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws IOException

  Overrides:
    `read` in class `InputStream`
  Throws:
    `IOException`

### matches

    public static boolean matches(byte[] signature,
                                  int length)

  Checks if the signature matches ASCII "!" followed by a single LF control character

  Parameters:
    `signature` - the bytes to check
    `length` - the number of bytes to check
  Returns:
    true, if this stream is an Ar archive stream, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation. All Rights Reserved.